Skip to content

Add dropdown options ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/

Create an option for an issue property.

Path parameters ​

project_id:requiredstring

The unique identifier of the project.

property_id:requiredstring

The unique identifier of the property.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

name:requiredstring

The option's name.

description:optionalstring

The option's description.

is_active:optionalboolean

Whether the option is active.

is_default:optionalboolean

Whether this is the default option.

external_source:optionalstring

The system external_id came from, for example github or jira.

external_id:optionalstring

Your system's identifier for this record, for sync and import correlation.

parent:optionalstring

ID of the parent option.

Scopes ​

projects.work_item_property_options:write

Add dropdown options
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-properties/property-uuid/options/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "Example description",
  "external_id": "550e8400-e29b-41d4-a716-446655440000",
  "external_source": "github"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "Example description",
  "deleted_at": "2024-01-01T00:00:00Z",
  "sort_order": 1,
  "logo_props": "example-value",
  "is_active": true,
  "is_default": true,
  "external_source": "github",
  "external_id": "550e8400-e29b-41d4-a716-446655440000"
}